Bug 75074 - gnome-dictionary compiled with glibc 2.3?
gnome-dictionary compiled with glibc 2.3?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gnome-utils (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Havoc Pennington
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-04 00:16 EDT by Georgi Georgiev
Modified: 2015-01-07 19:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-04 00:16:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Georgi Georgiev 2002-10-04 00:16:41 EDT
Description of Problem:
gnome-dictionary is failing with a 

gnome-dictionary: relocation error: gnome-dictionary: symbol __ctype_b_loc,
version GLIBC_2.3 not defined in file libc.so.6 with link time reference

Version-Release number of selected component (if applicable):
2.0.2-5

How Reproducible:
every time

Steps to Reproduce:
1. start gnome-dictionary
2. type something in the word field
3. press "Look Up Word" and watch stderr

Actual Results:
gnome-dictionary exits

Expected Results:
a word is looked up

Additional Information:
I did not really install 8.0 from a cd... I rather only upgraded a bunch of the
RPMS manually. Could this be my problem? As a workaround for this problem, I
used the gnome-utils srpm to rebuild the binary rpm and reinstalled it. I had no
troubles
afterwards.

gnome-dictionary is not the only program that had this problem. Other packages
with this problem include:
dia
gnome-session
Comment 1 Havoc Pennington 2002-10-04 00:24:44 EDT
You need to upgrade your libc to the final version.

Note You need to log in before you can comment on or make changes to this bug.